> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/salesforce-lightning/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-2.0/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/integrate-the-digital-river-components-into-an-asynchronous-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow/edit-the-payment-method-screen.md).

# Edit the Payment Method screen

To edit the Payment Method screen:

1. Double-click the **paymentMethodScreen** screen.
2. Delete all OOTB components from the subflow.
3. Type `drb2b_payments` in the **Search components** field and click **drb2b\_payments**.
4. Enter the following values in the fields. Be sure to click through all designer attributes to ensure that the default values are registered by Salesforce.

   * **API Name**: Type `drPayments` or any other name with no restrictions.
   * **Disable saved payments:** Type `{!$GlobalConstant.False}`.
   * **Dropin Config**: Provide data for this designer attribute in JSON format. For example:\
     `{"options.button.type": "custom", "options.button.buttonText": "test", "test": "test3"}` \
     **Note:** You are recommended to leave this attribute empty during initial configuration.  See [Designer Attributes](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-2.0/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/designer-attributes.md) for more information on using this feature.
   * **Enable override payments:** Type `{!$GlobalConstant.False}`.
   * **Fire Zero Dollar** **Event**: Type `{!$GlobalConstant.False}`.
   * **Is Synchronous checout**: Type `{!$GlobalConstant.False}`.
   * **Record Id**: Type `{!cartId}`.
   * **Skip current page:** Type `{!$GlobalConstant.False}`.

   See [Designer attributes](/salesforce-lightning/salesforce-lightning-b2b-commerce-app-2.0/extend-the-salesforce-lightning-app/customizing-the-lightning-web-components/designer-attributes.md) for additional information.\
   \
   ![](/files/UcH6P7CBz6JTFT0VNt7L)
5. Click **Done**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/salesforce-lightning/salesforce-lightning-b2b-commerce-app-2.0/integrate-the-salesforce-lightning-app/step-17-integrate-the-digital-river-components-into-the-checkout-flow/integrate-the-digital-river-components-into-an-asynchronous-checkout-flow/subflow-configuration/configure-the-payment-and-billing-address-subflow/edit-the-payment-method-screen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
